Generate video or audio summary from url (POST variant for agent payment)
curl --request POST \
--url https://api.bibigpt.co/api/v1/summarize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"includeDetail": true
}
'import requests
url = "https://api.bibigpt.co/api/v1/summarize"
payload = {
"url": "<string>",
"includeDetail": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', includeDetail: true})
};
fetch('https://api.bibigpt.co/api/v1/summarize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": "<string>",
"service": "<string>",
"sourceUrl": "<string>",
"htmlUrl": "<string>",
"costDuration": 123,
"remainingTime": 123,
"summary": "<string>",
"billingNote": "<string>",
"detail": {
"id": "<string>",
"url": "<string>",
"title": "<string>",
"duration": 123,
"summary": "<string>",
"dbId": "<string>",
"embedId": "<string>",
"pageId": "<string>",
"rawLang": "<string>",
"translationUrls": [
{
"code": "<string>",
"url": "<string>"
}
],
"audioUrl": "<string>",
"playUrl": "<string>",
"cover": "<string>",
"author": "<string>",
"authorId": "<string>",
"publishedDate": "<unknown>",
"subtitlesArray": [
{
"startTime": 123,
"end": 123,
"text": "<string>",
"index": 123,
"words": [
{
"start": 123,
"end": 123,
"text": "<string>",
"punctuation": "<string>"
}
],
"speaker_id": 123,
"_isGrouped": true,
"_originalSubtitles": [
"<unknown>"
]
}
],
"descriptionText": "<string>",
"contentText": "<string>",
"aiImages": [
{
"startTime": 123,
"endTime": 123,
"prompt": "<string>",
"image": "<string>"
}
],
"chapters": [
{
"from": 123,
"to": 123,
"content": "<string>",
"type": 123,
"imgUrl": "<string>"
}
],
"local_path": "<string>",
"status": "<string>",
"isPaid": true,
"isPreviewOnly": true
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}open
Generate video or audio summary from url (POST variant for agent payment)
POST
/
v1
/
summarize
Generate video or audio summary from url (POST variant for agent payment)
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
The URL to the video (e.g., ?url=https://www.bilibili.com/video/BV1Sk4y1x7r2)
Include audio, video or media webpage detail in response
此页面对您有帮助吗?
⌘I
